applet.currentConfigGroup = ["General"];

// Define arrays for system tray items: extraItems (shows in systray submenu when inactive), hiddenItems (always hidden), knownItems (visible when necessary), shownItems (always visible).
// If an item is not in extraItems or knownItems it will be disabled.
let extraItemsArray = [
  "org.kde.kscreen",
  "org.kde.plasma.battery",
  "org.kde.plasma.bluetooth",
  "org.kde.plasma.clipboard",
  "org.kde.plasma.devicenotifier",
  "org.kde.plasma.diskquota",
  "org.kde.plasma.keyboardindicator",
  "org.kde.plasma.networkmanagement",
  "org.kde.plasma.nightcolorcontrol",
  "org.kde.plasma.printmanager"
];

let hiddenItemsArray = [
  "org.kde.ktp-contactlist",
  "org.kde.plasma.clipboard"
];

let knownItemsArray = [
  "org.kde.discovernotifier",
  "org.kde.kdeconnect",
  "org.kde.plasma.battery",
  "org.kde.plasma.bluetooth",
  "org.kde.plasma.clipboard",
  "org.kde.plasma.devicenotifier",
  "org.kde.plasma.mediacontroller",
  "org.kde.plasma.networkmanagement",
  "org.kde.plasma.notifications",
  "org.kde.plasma.volume",
  "org.kde.plasma.printmanager",
  "org.kde.plasma.volumewin7mixer"
];

let shownItemsArray = [
  "transmission",
  "vokoscreen",
  "yarock"
];

// This code shows items in the system tray sub-menu.
if (applicationExists("org.kde.plasmashell.desktop")) {
  applet.writeConfig("extraItems", extraItemsArray);
}

// This code hides items in the system tray.
if (applicationExists("org.kde.plasmashell.desktop")) {
  applet.writeConfig("hiddenItems", hiddenItemsArray);
}

// This code makes items visible when necessary in the system tray.
if (applicationExists("org.kde.plasmashell.desktop")) {
  applet.writeConfig("knownItems", knownItemsArray);
}

// This code makes items always visible in the system tray.
if (applicationExists("org.kde.plasmashell.desktop")) {
  applet.writeConfig("shownItems", shownItemsArray);
}

// Set icon spacing to "small".
applet.writeConfig("iconSpacing", "1")

